//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "CpkKeyClrDlgs.h"
#include "HelpDlgs.h"
#include "fileman.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TCpkKeyClrDlg *CpkKeyClrDlg;
//---------------------------------------------------------------------------
bool __fastcall CpkClearKeyring(TForm *Owner, bool &clearall)
{
   CpkKeyClrDlg = new TCpkKeyClrDlg(Owner);
   CpkKeyClrDlg->ShowModal();
   bool ok = CpkKeyClrDlg->ModalResult==mrOk;
   clearall = !CpkKeyClrDlg->DisabledBox->Checked;
   delete CpkKeyClrDlg;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TCpkKeyClrDlg::TCpkKeyClrDlg(TComponent* Owner)
	: TForm(Owner)
{
   DisabledBox->Checked = GetAppIni(MixKeepDisabled,"1")=="1";
   CenterDialog(this,(TForm*)Owner);
}
//---------------------------------------------------------------------------
void __fastcall TCpkKeyClrDlg::DisabledBoxClick(TObject *Sender)
{
   PutAppIni(MixKeepDisabled,DisabledBox->Checked?"1":"0");
}
//---------------------------------------------------------------------------
void __fastcall TCpkKeyClrDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("RemailerKeyrings","Clearing Keyrings","Clear Keyring");
}
//---------------------------------------------------------------------------